ScaffoldingViewResolver (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding.view
[Java] Class ScaffoldingViewResolver

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractCachingViewResolver
                  org.springframework.web.servlet.view.UrlBasedViewResolver
                      org.springframework.web.servlet.view.InternalResourceViewResolver
                          org.codehaus.groovy.grails.web.servlet.view.GrailsViewResolver
                              org.codehaus.groovy.grails.scaffolding.view.ScaffoldingViewResolver

    public class ScaffoldingViewResolver
    extends GrailsViewResolver

Overrides the default Grails view resolver and resolves scaffolded views at runtime.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary

Fields inherited from class GrailsViewResolver
GSP_SUFFIX, JSP_SUFFIX, groovyPageLocator, templateEngine

Fields inherited from class org.springframework.web.servlet.view.InternalResourceViewResolver
REDIRECT_URL_PREFIX, FORWARD_URL_PREFIX, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE, DEFAULT_CACHE_LIMIT

Method Summary
`static void` | `clearViewCache()` Clears any cached scaffolded views.
`protected org.springframework.web.servlet.View` | `createScaffoldedView(java.lang.String viewName, java.lang.String viewCode)`
`protected java.lang.String` | `generateViewSource(java.lang.String viewName, GrailsDomainClass domainClass)`
`protected org.springframework.web.servlet.View` | `loadView(java.lang.String viewName, java.util.Locale locale)`
`void` | `setScaffoldedActionMap(java.util.Map scaffoldedActionMap)`
`void` | `setScaffoldedDomains(java.util.Map scaffoldedDomains)`
`void` | `setTemplateGenerator(GrailsTemplateGenerator templateGenerator)`

Methods inherited from class GrailsViewResolver
getCacheTimeout, loadView, setCacheTimeout, setGrailsApplication, setGroovyPageLocator, setPluginManager, setTemplateEngine

Methods inherited from class org.springframework.web.servlet.view.InternalResourceViewResolver
org.springframework.web.servlet.view.InternalResourceViewResolver#setAlwaysInclude(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setExposeContextBeansAsAttributes(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setExposedContextBeanNames([Ljava.lang.String;), org.springframework.web.servlet.view.InternalResourceViewResolver#setContentType(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#setPrefix(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#setAttributes(java.util.Properties), org.springframework.web.servlet.view.InternalResourceViewResolver#setSuffix(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#setRequestContextAttribute(java.lang.String), org.springframework.web.servlet.view.InternalResourceViewResolver#setAttributesMap(java.util.Map), org.springframework.web.servlet.view.InternalResourceViewResolver#getAttributesMap(), org.springframework.web.servlet.view.InternalResourceViewResolver#setExposePathVariables(java.lang.Boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setViewClass(java.lang.Class), org.springframework.web.servlet.view.InternalResourceViewResolver#setRedirectContextRelative(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setRedirectHttp10Compatible(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#setViewNames([Ljava.lang.String;), org.springframework.web.servlet.view.InternalResourceViewResolver#setOrder(int), org.springframework.web.servlet.view.InternalResourceViewResolver#getOrder(), org.springframework.web.servlet.view.InternalResourceViewResolver#clearCache(), org.springframework.web.servlet.view.InternalResourceViewResolver#setCache(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#isCache(), org.springframework.web.servlet.view.InternalResourceViewResolver#resolveViewName(java.lang.String, java.util.Locale), org.springframework.web.servlet.view.InternalResourceViewResolver#setCacheLimit(int), org.springframework.web.servlet.view.InternalResourceViewResolver#getCacheLimit(), org.springframework.web.servlet.view.InternalResourceViewResolver#setCacheUnresolved(boolean), org.springframework.web.servlet.view.InternalResourceViewResolver#isCacheUnresolved(), org.springframework.web.servlet.view.InternalResourceViewResolver#removeFromCache(java.lang.String, java.util.Locale), org.springframework.web.servlet.view.InternalResourceViewResolver#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.view.InternalResourceViewResolver#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.view.InternalResourceViewResolver#getApplicationContext(), org.springframework.web.servlet.view.InternalResourceViewResolver#wait(), org.springframework.web.servlet.view.InternalResourceViewResolver#wait(long, int), org.springframework.web.servlet.view.InternalResourceViewResolver#wait(long), org.springframework.web.servlet.view.InternalResourceViewResolver#equals(java.lang.Object), org.springframework.web.servlet.view.InternalResourceViewResolver#toString(), org.springframework.web.servlet.view.InternalResourceViewResolver#hashCode(), org.springframework.web.servlet.view.InternalResourceViewResolver#getClass(), org.springframework.web.servlet.view.InternalResourceViewResolver#notify(), org.springframework.web.servlet.view.InternalResourceViewResolver#notifyAll()

Method Detail

### clearViewCache

    public static void clearViewCache()

  Clears any cached scaffolded views.

### createScaffoldedView

    protected org.springframework.web.servlet.View createScaffoldedView(java.lang.String viewName, java.lang.String viewCode)

### generateViewSource

    protected java.lang.String generateViewSource(java.lang.String viewName, GrailsDomainClass domainClass)

### loadView

    @Override
    protected org.springframework.web.servlet.View loadView(java.lang.String viewName, java.util.Locale locale)

### setScaffoldedActionMap

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public void setScaffoldedActionMap(java.util.Map scaffoldedActionMap)

### setScaffoldedDomains

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public void setScaffoldedDomains(java.util.Map scaffoldedDomains)

### setTemplateGenerator

    public void setTemplateGenerator(GrailsTemplateGenerator templateGenerator)

Groovy Documentation